> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/zetachain/cosmos-auth-v1beta1-address_by_id-id.md).

# /cosmos/auth/v1beta1/address\_by\_id/{id}

AccountAddressByID returns account address based on account number.

#### **Parameters:**

**id-string**，id is the account number of the address to be queried.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://zetachain.blockpi.network/lcd/v1/<your-api-key>/cosmos/auth/v1beta1/address_by_id/0

// Result
{
  "account_address": "zeta18wqarvdsvm3sdq86xf4mlnev0wqtvcgg4vnl95"
}
```

{% endcode %}
